import request from '@/utils/request'

// 查询设备完整性管件台账列表
export function listGj(query) {
  return request({
    url: '/intact/gj/list',
    method: 'get',
    params: query
  })
}

// 查询设备完整性管件台账详细
export function getGj(id) {
  return request({
    url: '/intact/gj/' + id,
    method: 'get'
  })
}

/**
 * 查询设备完整性管件台账的历史改造记录
 */
 export function getTIntactHiGJByReform(devId) {
  return request({
    url: '/his/gj/reform/' + devId,
    method: 'get'
  })
}

// 新增设备完整性管件台账
export function addGj(data) {
  return request({
    url: '/intact/gj',
    method: 'post',
    data: data
  })
}

// 修改设备完整性管件台账
export function updateGj(data) {
  return request({
    url: '/intact/gj',
    method: 'put',
    data: data
  })
}

// 删除设备完整性管件台账
export function delGj(id) {
  return request({
    url: '/intact/gj/' + id,
    method: 'delete'
  })
}

// 导出设备完整性管件台账
export function exportGj(query) {
  return request({
    url: '/intact/gj/export',
    method: 'get',
    params: query
  })
}